Bug 456774 - Review Request: libanculus-sharp - Reusable utility library written in C#
Review Request: libanculus-sharp - Reusable utility library written in C#
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-26 19:32 EDT by Mathieu BONIFACE
Modified: 2010-07-16 02:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 02:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mathieu BONIFACE 2008-07-26 19:32:32 EDT
Spec URL: http://mat.boniface.googlepages.com/libanculus-sharp.spec
SRPM URL: http://mat.boniface.googlepages.com/libanculus-sharp-0.3.1-1.fc9.src.rpm

Description: 
libanculus-sharp serves and helps you to easily and quickly
write new applications. It contains all the building blocks
that you need to develop a good C# application.

rpmlint says :
[builder@mathieu SPECS]$ rpmlint /home/builder/rpmbuild/SRPMS/libanculus-sharp-0.3.1-1.fc9
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[builder@mathieu SPECS]$ rpmlint /home/builder/rpmbuild/RPMS/i386/libanculus-sharp-*
libanculus-sharp.i386: E: no-binary
libanculus-sharp.i386: E: only-non-binary-in-usr-lib
libanculus-sharp-devel.i386: W: no-documentation
libanculus-sharp-doc.i386: W: no-documentation
libanculus-sharp-doc.i386: E: only-non-binary-in-usr-lib
3 packages and 0 specfiles checked; 3 errors, 2 warnings.

Also, I think only-non-binary-in-usr-lib and no-binary can be ignored for mono package

Note that mock builds are good for fedora-9-i386, fedora-9-x86_64 and fedora-rawhide-x86_64

It's not my first review request, but I need a sponsor.
(see https://bugzilla.redhat.com/show_bug.cgi?id=454207)
Comment 1 Steve Traylen 2010-02-20 12:54:30 EST
(I've not checked yet if there are any mono guidelines in particular)

1)
$ rpmlint libanculus-sharp.spec 
libanculus-sharp.spec: W: mixed-use-of-spaces-and-tabs (spaces: line 16, tab: line 3)
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

2)
$ rpmlint ../SRPMS/libanculus-sharp-0.3.1-1.fc12.src.rpm 
libanculus-sharp.src: W: strange-permission libanculus-sharp.spec 0777
libanculus-sharp.src: W: strange-permission libanculus-sharp-0.3.1.tar.bz2 0777

3)
$ rpmlint *x86_64.rpm
libanculus-sharp.x86_64: E: no-binary
libanculus-sharp.x86_64: W: only-non-binary-in-usr-lib
libanculus-sharp-devel.x86_64: W: no-documentation
libanculus-sharp-doc.x86_64: W: only-non-binary-in-usr-lib
libanculus-sharp-doc.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 1 errors, 4 warnings.

As you say I think these are okay, I need to check a bit myself.

4) Packaage contains:

/usr/lib64/libanculus-sharp/Anculus.Core.Extended.dll
/usr/lib64/libanculus-sharp/Anculus.Core.dll
/usr/lib64/libanculus-sharp/Anculus.Gui.dll

but that directory is not owned or in a package that is pulled in.

5) Similar story for 
/usr/lib64/mono/libanculus-sharp

6) Similar also for 

/usr/lib64/mono/gac/Anculus.Core.Extended/0.3.1.0__f53db44f7305a799

Please check all the others.

7) Line 31 of the .spec file. The spacing is different to the other lines.

8) I would guess that with
%{__chmod} 755 autogen.sh
sh autogen.sh --prefix=%{_prefix} --libdir=%{_libdir}

if you call it with sh you don't need to chmod it first.

9) In the -doc package the files are not marked as %doc which 
   is possibly okay. They are needed at runntime?

10) The -doc package looks to be noarch so at least this sub package
    could me marked as noarch.

11) Why are the docs in 

/usr/lib64/monodoc
  
  rather than /usr/share or something? Though this starts to 
   cross into why monodoc itself is in there.

Steve

p.s The monodoc package needs a bug.

$ rpm -qf /usr/lib64/monodoc/monodoc.xml /usr/lib64/monodoc/
monodoc-2.4.3.1-1.fc12.x86_64
file /usr/lib64/monodoc is not owned by any package
Comment 2 Steve Traylen 2010-03-02 16:55:42 EST
ping
Comment 3 Mathieu BONIFACE 2010-03-02 17:18:45 EST
I'm not interested in packaging this library.

If anyone is interested in this it can resume work.
Comment 4 Steve Traylen 2010-03-07 11:31:17 EST
Removing myself from the review.

I suggest this is closed shortly.

Steve
Comment 5 manuel wolfshant 2010-07-16 02:39:56 EDT
(In reply to comment #3)
> I'm not interested in packaging this library.
> 
> If anyone is interested in this it can resume work.    

Based on the above comment from the person who initially asked for the review, I am closing this review request. If anyone is willing to add this package to Fedora, please create a new review request.

Note You need to log in before you can comment on or make changes to this bug.